Package com.stardog.stark

# Class Axioms

java.lang.Object
com.stardog.stark.Axioms

@Deprecated public final class Axioms extends Object
Deprecated.
Not used anymore, however since the class is part of our Public API some users might still be using it. Therefore it is a candidate to be a test-only class at next major version prior to 8.0

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `Axioms.Datatypes`
  Deprecated.
  Class which represents the various different datatypes
  `static class`
  `Axioms.ExpressionList<T extends Axiom>`
  Deprecated.
  Expression which represents an rdf:List of other expressions.
  `static enum`
  `Axioms.Facet`
  Deprecated.
  Enumeration of the possible facets for a `Axioms.FacetRestriction` on a `Axiom.NamedDatatype`
  `static class`
  `Axioms.FacetRestriction`
  Deprecated.
  A restriction on a facet of a datatype.
  `static class`
  `Axioms.RestrictedDatatype`
  Deprecated.
  A user-defined datatype which has facet restrictions placed on its value

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Axiom.ClassExpression`
  `all(Axiom.PropertyExpression theProperty, Axiom theResource)`
  Deprecated.
  Create a new AllValuesFrom expression
  `static Axiom.ClassExpression`
  `all(Axiom.PropertyExpression theProperty, Resource theResource)`
  Deprecated.
  Create a new AllValuesFrom expression
  `static Axiom.ClassExpression`
  `all(IRI theProperty, Axiom theResource)`
  Deprecated.
  Create a new AllValuesFrom expression
  `static Axiom.ClassExpression`
  `all(IRI theProperty, Resource theResource)`
  Deprecated.
  Create a new AllValuesFrom expression
  `static Axiom.ClassExpression`
  `and(Axiom.ClassExpression... theExpr)`
  Deprecated.
  Create an And (owl:intersectionOf) expression
  `static Axiom.ClassExpression`
  `and(Resource... ex)`
  Deprecated.
  Create an And (owl:intersectionOf) expression
  `static Axiom.PropertyExpression`
  `asymmetricProperty(IRI theURI)`
  Deprecated.
  Create a new owl:AsymmetricProperty expression
  `static Axiom.ClassExpression`
  `cardinality(IRI theURI, int theCard)`
  Deprecated.
  Create a new exact cardinality expression
  `static Axiom.ClassExpression`
  `cardinality(IRI theURI, int theCard, Axiom.ClassExpression theClass)`
  Deprecated.
  Create a new exact cardinality expression
  `static Axiom.ClassExpression`
  `cardinality(IRI theURI, int theCard, Resource theClass)`
  Deprecated.
  Create a new max cardinality expression
  `static Axiom`
  `classAssertion(Resource theIndividual, Resource theClass)`
  Deprecated.
  Create a new ClassAssertion(iID, c) expression
  `static Axiom.ClassExpression`
  `complementOf(Resource theRes)`
  Deprecated.
  Return a ComplementOf expression
  `static Axiom.PropertyExpression`
  `dataProperty(IRI theURI)`
  Deprecated.
  Create a DataProperty(theURI) expression
  `static Axiom`
  `declareClass(IRI theURI)`
  Deprecated.
  Create a Declaration(OWLClass(theURI)) expression
  `static Axiom`
  `declareDataProperty(IRI theURI)`
  Deprecated.
  Create a Declaration(DataProperty(theURI)) expression
  `static Axiom`
  `declareIndividual(Resource theResource)`
  Deprecated.
  Create a Declaration(Individual(theResource)) expression
  `static Axiom`
  `declareObjectProperty(IRI theURI)`
  Deprecated.
  Create a Declaration(ObjectProperty(theURI)) expression
  `static Axiom`
  `differentIndividuals(Axiom... theIndividuals)`
  Deprecated.
  Create a new DifferentIndividuals(iID(1) ...
  `static Axiom`
  `differentIndividuals(Resource... theIndividuals)`
  Deprecated.
  Create a new DifferentIndividuals(iID(1) ...
  `static Axiom`
  `disjointClasses(Axiom.ClassExpression... theClasses)`
  Deprecated.
  Create an DisjointClasses expression
  `static Axiom`
  `disjointClasses(Resource... theClasses)`
  Deprecated.
  Create an DisjointClasses expression
  `static Axiom`
  `disjointDataProperties(IRI... theProperties)`
  Deprecated.
  Create a DisjointDataProperties(...) expression
  `static Axiom`
  `disjointObjectProperties(IRI... theProperties)`
  Deprecated.
  Create a DisjointObjectProperties(...) expression
  `static Axiom`
  `domain(Axiom.PropertyExpression theProperty, Resource theClass)`
  Deprecated.
  Create a new domain expression
  `static Axiom`
  `domain(IRI theProperty, Axiom.ClassExpression theClass)`
  Deprecated.
  Create a new domain expression
  `static Axiom`
  `domain(IRI theProperty, Resource theClass)`
  Deprecated.
  Create a new domain expression
  `static Axiom`
  `equivalentClasses(Axiom.ClassExpression... theClasses)`
  Deprecated.
  Create an EquivalentClasses expression
  `static Axiom`
  `equivalentClasses(Resource... theClasses)`
  Deprecated.
  Create an EquivalentClasses expression
  `static Axiom`
  `equivalentProperties(Resource... theProperties)`
  Deprecated.
  Create an EquivalentProperties expression
  `static Axiom`
  `fromStatements(Statement... theStatements)`
  Deprecated.
  `static Axiom`
  `fromStatements(Iterable<Statement> theStatements)`
  Deprecated.
  Create an Expression directly from the provided set of statements.
  `static Axiom.PropertyExpression`
  `functionalProperty(IRI theURI)`
  Deprecated.
  Create a new owl:FunctionalProperty expression
  `static Axiom.ClassExpression`
  `hasValue(IRI theProperty, Value theValue)`
  Deprecated.
  Create a new HasValue(...) expression
  `static Axiom.PropertyExpression`
  `inverse(Axiom.PropertyExpression theProp)`
  Deprecated.
  Create a new owl:inverseObjectPropertyExpression expression
  `static Axiom.PropertyExpression`
  `inverse(IRI theProp)`
  Deprecated.
  Create a new owl:inverseObjectPropertyExpression expression
  `static Axiom.PropertyExpression`
  `inverseFunctionalProperty(IRI theURI)`
  Deprecated.
  Create a new owl:InverseFunctionalProperty expression
  `static Axiom`
  `inverseOf(Axiom.PropertyExpression theProperty, Axiom.PropertyExpression theInverse)`
  Deprecated.
  Create a new inverseOf expression
  `static Axiom`
  `inverseOf(Axiom.PropertyExpression theProperty, IRI theInverse)`
  Deprecated.
  Create a new inverseOf expression
  `static Axiom`
  `inverseOf(IRI theProperty, Axiom.PropertyExpression theInverse)`
  Deprecated.
  Create a new inverseOf expression
  `static Axiom`
  `inverseOf(IRI theProperty, IRI theInverse)`
  Deprecated.
  Create a new inverseOf expression
  `static Axiom.PropertyExpression`
  `irreflexiveProperty(IRI theURI)`
  Deprecated.
  Create a new owl:IrreflexiveProperty expression
  `static Axiom.ClassExpression`
  `max(Axiom.PropertyExpression theURI, int theCard)`
  Deprecated.
  Create a new max cardinality expression
  `static Axiom.ClassExpression`
  `max(Axiom.PropertyExpression theURI, int theCard, Axiom.ClassExpression theClass)`
  Deprecated.
  Create a new max cardinality expression
  `static Axiom.ClassExpression`
  `max(IRI theURI, int theCard)`
  Deprecated.
  Create a new max cardinality expression
  `static Axiom.ClassExpression`
  `max(IRI theURI, int theCard, Axiom.ClassExpression theClass)`
  Deprecated.
  Create a new max cardinality expression
  `static Axiom.ClassExpression`
  `max(IRI theURI, int theCard, Resource theClass)`
  Deprecated.
  Create a new max cardinality expression
  `static Axiom.ClassExpression`
  `min(Axiom.PropertyExpression theURI, int theCard)`
  Deprecated.
  Create a new min cardinality expression
  `static Axiom.ClassExpression`
  `min(Axiom.PropertyExpression theURI, int theCard, Axiom.ClassExpression theClass)`
  Deprecated.
  Create a new min cardinality expression
  `static Axiom.ClassExpression`
  `min(IRI theURI, int theCard)`
  Deprecated.
  Create a new min cardinality expression
  `static Axiom.ClassExpression`
  `min(IRI theURI, int theCard, Axiom.ClassExpression theClass)`
  Deprecated.
  Create a new min cardinality expression
  `static Axiom.ClassExpression`
  `min(IRI theURI, int theCard, Resource theClass)`
  Deprecated.
  Create a new min cardinality expression
  `static Axiom.ClassExpression`
  `namedClass(IRI theURI)`
  Deprecated.
  Create a new named class
  `static Axiom`
  `negativeDataPropertyAssertion(Resource theSubject, IRI thePredicate, Value theObject)`
  Deprecated.
  Create a new NegativeDataPropertyAssertion
  `static Axiom`
  `negativeObjectPropertyAssertion(Resource theSubject, IRI thePredicate, Value theObject)`
  Deprecated.
  Create a new NegativeObjectPropertyAssertion
  `static Axiom.PropertyExpression`
  `objectProperty(IRI theURI)`
  Deprecated.
  Create a ObjectProperty(theURI) expression
  `static Axiom.Datatype`
  `oneOf(Literal... ex)`
  Deprecated.
  Create an enumerated datatype (owl:oneOf)
  `static Axiom.ClassExpression`
  `oneOf(Resource... ex)`
  Deprecated.
  Create an enumerated class (owl:oneOf)
  `static Axiom.ClassExpression`
  `or(Axiom.ClassExpression... theExpr)`
  Deprecated.
  Create an Or (owl:unionOf) expression
  `static Axiom.ClassExpression`
  `or(Resource... ex)`
  Deprecated.
  Create an Or (owl:unionOf) expression
  `static Axioms.ExpressionList<Axiom.PropertyExpression>`
  `propertyList(Axiom.PropertyExpression... theExpr)`
  Deprecated.
  Create a new property list
  `static Axioms.ExpressionList<Axiom.PropertyExpression>`
  `propertyList(IRI... theProps)`
  Deprecated.
  Create a new property list
  `static Axiom`
  `range(Axiom.PropertyExpression theProperty, Resource theClass)`
  Deprecated.
  Create a new range expression
  `static Axiom`
  `range(IRI theProperty, Axiom.ClassExpression theClass)`
  Deprecated.
  Create a new range expression
  `static Axiom`
  `range(IRI theProperty, Axiom.Datatype theRange)`
  Deprecated.
  Create a new range expression
  `static Axiom`
  `range(IRI theProperty, Resource theClass)`
  Deprecated.
  Create a new range expression
  `static Axiom.PropertyExpression`
  `reflexiveProperty(IRI theURI)`
  Deprecated.
  Create a new owl:ReflexiveProperty expression
  `static Axioms.RestrictedDatatype`
  `restrict(Axiom.NamedDatatype theDatatype, Axioms.FacetRestriction... theRestrictions)`
  Deprecated.
  Create a new RestrictedDatatype
  `static Axiom`
  `rule(String theRuleBody)`
  Deprecated.
  Create a new rule expression in Stardog rules syntax.
  `static Axiom`
  `sameIndividuals(Resource... theIndividuals)`
  Deprecated.
  Create a new SameIndividual(iID(1) ...
  `static Axiom.ClassExpression`
  `some(Axiom.PropertyExpression theProperty, Axiom theResource)`
  Deprecated.
  Create a new SomeValuesFrom expression
  `static Axiom.ClassExpression`
  `some(IRI theProperty, Axiom theResource)`
  Deprecated.
  Create a new SomeValuesFrom expression
  `static Axiom.ClassExpression`
  `some(IRI theProperty, Resource theResource)`
  Deprecated.
  Create a new SomeValuesFrom expression
  `static Axiom`
  `subClassOf(Axiom.ClassExpression sub, Axiom.ClassExpression sup)`
  Deprecated.
  Create a new subClassOf expression
  `static Axiom`
  `subClassOf(Axiom.ClassExpression sub, Resource sup)`
  Deprecated.
  Create a new subClassOf expression
  `static Axiom`
  `subClassOf(Resource sub, Axiom.ClassExpression sup)`
  Deprecated.
  Create a new subClassOf expression
  `static Axiom`
  `subClassOf(Resource sub, Resource sup)`
  Deprecated.
  Create a new subClassOf expression
  `static Axiom`
  `subPropertyOf(Axiom.PropertyExpression theSub, Axiom.PropertyExpression theSuper)`
  Deprecated.
  Create a new subClassOf expression
  `static Axiom`
  `subPropertyOf(Axiom.PropertyExpression theSub, IRI theSuper)`
  Deprecated.
  Create a new subPropertyOf expression
  `static Axiom`
  `subPropertyOf(Axioms.ExpressionList<Axiom.PropertyExpression> theList, Axiom.PropertyExpression theProperty)`
  Deprecated.
  Create a new subPropertyOf expression for a property chain axiom.
  `static Axiom`
  `subPropertyOf(IRI theSub, Axiom.PropertyExpression theSuper)`
  Deprecated.
  Create a new subClassOf expression
  `static Axiom`
  `subPropertyOf(IRI theSub, IRI theSuper)`
  Deprecated.
  Create a new subPropertyOf expression
  `static Axiom.PropertyExpression`
  `symmetricProperty(IRI theURI)`
  Deprecated.
  Create a new owl:SymmetricProperty expression
  `static Axiom.PropertyExpression`
  `transitiveProperty(IRI theURI)`
  Deprecated.
  Create a new owl:TransitiveProperty expression
  `static Axiom`
  `type(Resource theInd, Axiom.ClassExpression theClass)`
  Deprecated.
  Create a new type assertion expression
  `static Axiom`
  `type(Resource theInd, IRI theClass)`
  Deprecated.
  Create a new type assertion expression

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### rule

    public static Axiom rule(String theRuleBody)
    Deprecated.
    Create a new rule expression in Stardog rules syntax. Only the rule string is provided as input and the required triples are created automatically.
    Parameters:
      `theRuleBody` - the rule body
    Returns:
      a new rule expression

  - ### type

    public static Axiom type(Resource theInd, IRI theClass)
    Deprecated.
    Create a new type assertion expression
    Parameters:
      `theInd` - the individual
      `theClass` - the type of the individual
    Returns:
      a new type assertion expression

  - ### type

    public static Axiom type(Resource theInd, Axiom.ClassExpression theClass)
    Deprecated.
    Create a new type assertion expression
    Parameters:
      `theInd` - the individual
      `theClass` - the type of the individual
    Returns:
      a new type assertion expression

  - ### fromStatements

    public static Axiom fromStatements(Iterable<Statement> theStatements)
    Deprecated.
    Create an Expression directly from the provided set of statements. Use at your own risk, no checking is performed to see if all the statements in the graph correspond to well formed axioms.
    Parameters:
      `theStatements` - the collection of statements corresponding to one or more axioms.
    Returns:
      a new expression

  - ### fromStatements

    public static Axiom fromStatements(Statement... theStatements)
    Deprecated.

  - ### namedClass

    public static Axiom.ClassExpression namedClass(IRI theURI)
    Deprecated.
    Create a new named class
    Parameters:
      `theURI` - the URI of the class
    Returns:
      a named class expression.

  - ### transitiveProperty

    public static Axiom.PropertyExpression transitiveProperty(IRI theURI)
    Deprecated.
    Create a new owl:TransitiveProperty expression
    Parameters:
      `theURI` - the property URI
    Returns:
      the expression

  - ### reflexiveProperty

    public static Axiom.PropertyExpression reflexiveProperty(IRI theURI)
    Deprecated.
    Create a new owl:ReflexiveProperty expression
    Parameters:
      `theURI` - the property URI
    Returns:
      the expression

  - ### irreflexiveProperty

    public static Axiom.PropertyExpression irreflexiveProperty(IRI theURI)
    Deprecated.
    Create a new owl:IrreflexiveProperty expression
    Parameters:
      `theURI` - the property URI
    Returns:
      the expression

  - ### symmetricProperty

    public static Axiom.PropertyExpression symmetricProperty(IRI theURI)
    Deprecated.
    Create a new owl:SymmetricProperty expression
    Parameters:
      `theURI` - the property URI
    Returns:
      the expression

  - ### asymmetricProperty

    public static Axiom.PropertyExpression asymmetricProperty(IRI theURI)
    Deprecated.
    Create a new owl:AsymmetricProperty expression
    Parameters:
      `theURI` - the property URI
    Returns:
      the expression

  - ### functionalProperty

    public static Axiom.PropertyExpression functionalProperty(IRI theURI)
    Deprecated.
    Create a new owl:FunctionalProperty expression
    Parameters:
      `theURI` - the property URI
    Returns:
      the expression

  - ### inverseFunctionalProperty

    public static Axiom.PropertyExpression inverseFunctionalProperty(IRI theURI)
    Deprecated.
    Create a new owl:InverseFunctionalProperty expression
    Parameters:
      `theURI` - the property URI
    Returns:
      the expression

  - ### inverse

    public static Axiom.PropertyExpression inverse(IRI theProp)
    Deprecated.
    Create a new owl:inverseObjectPropertyExpression expression
    Parameters:
      `theProp` - the property to state the inverse expression about
    Returns:
      the expression

  - ### inverse

    public static Axiom.PropertyExpression inverse(Axiom.PropertyExpression theProp)
    Deprecated.
    Create a new owl:inverseObjectPropertyExpression expression
    Parameters:
      `theProp` - the property to state the inverse expression about
    Returns:
      the expression

  - ### subClassOf

    public static Axiom subClassOf(Resource sub, Resource sup)
    Deprecated.
    Create a new subClassOf expression
    Parameters:
      `sub` - the subclass
      `sup` - the super class
    Returns:
      the expression

  - ### subClassOf

    public static Axiom subClassOf(Axiom.ClassExpression sub, Axiom.ClassExpression sup)
    Deprecated.
    Create a new subClassOf expression
    Parameters:
      `sub` - the subclass
      `sup` - the super class
    Returns:
      the expression

  - ### subClassOf

    public static Axiom subClassOf(Axiom.ClassExpression sub, Resource sup)
    Deprecated.
    Create a new subClassOf expression
    Parameters:
      `sub` - the subclass
      `sup` - the super class
    Returns:
      the expression

  - ### subClassOf

    public static Axiom subClassOf(Resource sub, Axiom.ClassExpression sup)
    Deprecated.
    Create a new subClassOf expression
    Parameters:
      `sub` - the subclass
      `sup` - the super class
    Returns:
      the expression

  - ### range

    public static Axiom range(IRI theProperty, Resource theClass)
    Deprecated.
    Create a new range expression
    Parameters:
      `theProperty` - the property
      `theClass` - the range of the property
    Returns:
      the expression

  - ### range

    public static Axiom range(Axiom.PropertyExpression theProperty, Resource theClass)
    Deprecated.
    Create a new range expression
    Parameters:
      `theProperty` - the property
      `theClass` - the range of the property
    Returns:
      the expression

  - ### range

    public static Axiom range(IRI theProperty, Axiom.ClassExpression theClass)
    Deprecated.
    Create a new range expression
    Parameters:
      `theProperty` - the property
      `theClass` - the range of the property
    Returns:
      the expression

  - ### range

    public static Axiom range(IRI theProperty, Axiom.Datatype theRange)
    Deprecated.
    Create a new range expression
    Parameters:
      `theProperty` - the property
      `theRange` - the range of the property
    Returns:
      the expression

  - ### domain

    public static Axiom domain(IRI theProperty, Resource theClass)
    Deprecated.
    Create a new domain expression
    Parameters:
      `theProperty` - the property
      `theClass` - the domain of the property
    Returns:
      the expression

  - ### domain

    public static Axiom domain(Axiom.PropertyExpression theProperty, Resource theClass)
    Deprecated.
    Create a new domain expression
    Parameters:
      `theProperty` - the property
      `theClass` - the domain of the property
    Returns:
      the expression

  - ### domain

    public static Axiom domain(IRI theProperty, Axiom.ClassExpression theClass)
    Deprecated.
    Create a new domain expression
    Parameters:
      `theProperty` - the property
      `theClass` - the domain of the property
    Returns:
      the expression

  - ### some

    public static Axiom.ClassExpression some(IRI theProperty, Resource theResource)
    Deprecated.
    Create a new SomeValuesFrom expression
    Parameters:
      `theProperty` - the property
      `theResource` - the value restriction
    Returns:
      the expression

  - ### some

    public static Axiom.ClassExpression some(IRI theProperty, Axiom theResource)
    Deprecated.
    Create a new SomeValuesFrom expression
    Parameters:
      `theProperty` - the property
      `theResource` - the value restriction
    Returns:
      the expression

  - ### some

    public static Axiom.ClassExpression some(Axiom.PropertyExpression theProperty, Axiom theResource)
    Deprecated.
    Create a new SomeValuesFrom expression
    Parameters:
      `theProperty` - the property expression
      `theResource` - the value restriction
    Returns:
      the expression

  - ### all

    public static Axiom.ClassExpression all(IRI theProperty, Resource theResource)
    Deprecated.
    Create a new AllValuesFrom expression
    Parameters:
      `theProperty` - the property
      `theResource` - the value restriction
    Returns:
      the expression

  - ### all

    public static Axiom.ClassExpression all(Axiom.PropertyExpression theProperty, Resource theResource)
    Deprecated.
    Create a new AllValuesFrom expression
    Parameters:
      `theProperty` - the property expression
      `theResource` - the value restriction
    Returns:
      the expression

  - ### all

    public static Axiom.ClassExpression all(IRI theProperty, Axiom theResource)
    Deprecated.
    Create a new AllValuesFrom expression
    Parameters:
      `theProperty` - the property
      `theResource` - the value restriction
    Returns:
      the expression

  - ### all

    public static Axiom.ClassExpression all(Axiom.PropertyExpression theProperty, Axiom theResource)
    Deprecated.
    Create a new AllValuesFrom expression
    Parameters:
      `theProperty` - the property
      `theResource` - the value restriction
    Returns:
      the expression

  - ### hasValue

    public static Axiom.ClassExpression hasValue(IRI theProperty, Value theValue)
    Deprecated.
    Create a new HasValue(...) expression
    Parameters:
      `theProperty` - the property
      `theValue` - the value of the property
    Returns:
      the expression

  - ### min

    public static Axiom.ClassExpression min(IRI theURI, int theCard)
    Deprecated.
    Create a new min cardinality expression
    Parameters:
      `theURI` - the property the cardinality applies to
      `theCard` - the min cardinality
    Returns:
      the expression

  - ### min

    public static Axiom.ClassExpression min(IRI theURI, int theCard, Resource theClass)
    Deprecated.
    Create a new min cardinality expression
    Parameters:
      `theURI` - the property the cardinality applies to
      `theCard` - the min cardinality
      `theClass` - the class the restriction applies to
    Returns:
      the expression

  - ### min

    public static Axiom.ClassExpression min(IRI theURI, int theCard, Axiom.ClassExpression theClass)
    Deprecated.
    Create a new min cardinality expression
    Parameters:
      `theURI` - the property the cardinality applies to
      `theCard` - the min cardinality
      `theClass` - the class the restriction applies to
    Returns:
      the expression

  - ### min

    public static Axiom.ClassExpression min(Axiom.PropertyExpression theURI, int theCard)
    Deprecated.
    Create a new min cardinality expression
    Parameters:
      `theURI` - the property the cardinality applies to
      `theCard` - the min cardinality
    Returns:
      the expression

  - ### min

    public static Axiom.ClassExpression min(Axiom.PropertyExpression theURI, int theCard, Axiom.ClassExpression theClass)
    Deprecated.
    Create a new min cardinality expression
    Parameters:
      `theURI` - the property the cardinality applies to
      `theCard` - the min cardinality
      `theClass` - the class the restriction applies to
    Returns:
      the expression

  - ### max

    public static Axiom.ClassExpression max(Axiom.PropertyExpression theURI, int theCard)
    Deprecated.
    Create a new max cardinality expression
    Parameters:
      `theURI` - the property the cardinality applies to
      `theCard` - the max cardinality
    Returns:
      the expression

  - ### max

    public static Axiom.ClassExpression max(Axiom.PropertyExpression theURI, int theCard, Axiom.ClassExpression theClass)
    Deprecated.
    Create a new max cardinality expression
    Parameters:
      `theURI` - the property the cardinality applies to
      `theCard` - the max cardinality
      `theClass` - the class the restriction applies to
    Returns:
      the expression

  - ### max

    public static Axiom.ClassExpression max(IRI theURI, int theCard)
    Deprecated.
    Create a new max cardinality expression
    Parameters:
      `theURI` - the property the cardinality applies to
      `theCard` - the max cardinality
    Returns:
      the expression

  - ### max

    public static Axiom.ClassExpression max(IRI theURI, int theCard, Resource theClass)
    Deprecated.
    Create a new max cardinality expression
    Parameters:
      `theURI` - the property the cardinality applies to
      `theCard` - the max cardinality
      `theClass` - the class the restriction applies to
    Returns:
      the expression

  - ### max

    public static Axiom.ClassExpression max(IRI theURI, int theCard, Axiom.ClassExpression theClass)
    Deprecated.
    Create a new max cardinality expression
    Parameters:
      `theURI` - the property the cardinality applies to
      `theCard` - the max cardinality
      `theClass` - the class the restriction applies to
    Returns:
      the expression

  - ### cardinality

    public static Axiom.ClassExpression cardinality(IRI theURI, int theCard)
    Deprecated.
    Create a new exact cardinality expression
    Parameters:
      `theURI` - the property the cardinality applies to
      `theCard` - the exact cardinality
    Returns:
      the expression

  - ### cardinality

    public static Axiom.ClassExpression cardinality(IRI theURI, int theCard, Resource theClass)
    Deprecated.
    Create a new max cardinality expression
    Parameters:
      `theURI` - the property the cardinality applies to
      `theCard` - the max cardinality
      `theClass` - the class the restriction applies to
    Returns:
      the expression

  - ### cardinality

    public static Axiom.ClassExpression cardinality(IRI theURI, int theCard, Axiom.ClassExpression theClass)
    Deprecated.
    Create a new exact cardinality expression
    Parameters:
      `theURI` - the property the cardinality applies to
      `theCard` - the exact cardinality
      `theClass` - the class the restriction applies to
    Returns:
      the expression

  - ### or

    public static Axiom.ClassExpression or(Axiom.ClassExpression... theExpr)
    Deprecated.
    Create an Or (owl:unionOf) expression
    Parameters:
      `theExpr` - the values in the Or
    Returns:
      the expression

  - ### or

    public static Axiom.ClassExpression or(Resource... ex)
    Deprecated.
    Create an Or (owl:unionOf) expression
    Parameters:
      `ex` - the values in the Or
    Returns:
      the expression

  - ### and

    public static Axiom.ClassExpression and(Axiom.ClassExpression... theExpr)
    Deprecated.
    Create an And (owl:intersectionOf) expression
    Parameters:
      `theExpr` - the values in the And
    Returns:
      the expression

  - ### and

    public static Axiom.ClassExpression and(Resource... ex)
    Deprecated.
    Create an And (owl:intersectionOf) expression
    Parameters:
      `ex` - the values in the And
    Returns:
      the expression

  - ### complementOf

    public static Axiom.ClassExpression complementOf(Resource theRes)
    Deprecated.
    Return a ComplementOf expression
    Parameters:
      `theRes` - the complement
    Returns:
      the expression

  - ### disjointClasses

    public static Axiom disjointClasses(Axiom.ClassExpression... theClasses)
    Deprecated.
    Create an DisjointClasses expression
    Parameters:
      `theClasses` - the values which are disjoint
    Returns:
      the expression

  - ### disjointClasses

    public static Axiom disjointClasses(Resource... theClasses)
    Deprecated.
    Create an DisjointClasses expression
    Parameters:
      `theClasses` - the values which are disjoint
    Returns:
      the expression

  - ### equivalentClasses

    public static Axiom equivalentClasses(Axiom.ClassExpression... theClasses)
    Deprecated.
    Create an EquivalentClasses expression
    Parameters:
      `theClasses` - the values which are equivalent
    Returns:
      the express

  - ### equivalentClasses

    public static Axiom equivalentClasses(Resource... theClasses)
    Deprecated.
    Create an EquivalentClasses expression
    Parameters:
      `theClasses` - the values which are equivalent
    Returns:
      the expression

  - ### equivalentProperties

    public static Axiom equivalentProperties(Resource... theProperties)
    Deprecated.
    Create an EquivalentProperties expression
    Parameters:
      `theProperties` - the values which are equivalent
    Returns:
      the expression

  - ### classAssertion

    public static Axiom classAssertion(Resource theIndividual, Resource theClass)
    Deprecated.
    Create a new ClassAssertion(iID, c) expression
    Parameters:
      `theIndividual` - the individual
      `theClass` - the class
    Returns:
      the expression

  - ### differentIndividuals

    public static Axiom differentIndividuals(Resource... theIndividuals)
    Deprecated.
    Create a new DifferentIndividuals(iID(1) ... iID(n)) expression
    Parameters:
      `theIndividuals` - the individuals
    Returns:
      the expression

  - ### differentIndividuals

    public static Axiom differentIndividuals(Axiom... theIndividuals)
    Deprecated.
    Create a new DifferentIndividuals(iID(1) ... iID(n)) expression
    Parameters:
      `theIndividuals` - the individuals
    Returns:
      the expression

  - ### disjointDataProperties

    public static Axiom disjointDataProperties(IRI... theProperties)
    Deprecated.
    Create a DisjointDataProperties(...) expression
    Parameters:
      `theProperties` - the disjoint properties
    Returns:
      the expression

  - ### disjointObjectProperties

    public static Axiom disjointObjectProperties(IRI... theProperties)
    Deprecated.
    Create a DisjointObjectProperties(...) expression
    Parameters:
      `theProperties` - the disjoint properties
    Returns:
      the expression

  - ### sameIndividuals

    public static Axiom sameIndividuals(Resource... theIndividuals)
    Deprecated.
    Create a new SameIndividual(iID(1) ... iID(n)) expression
    Parameters:
      `theIndividuals` - the individuals
    Returns:
      the expression

  - ### negativeObjectPropertyAssertion

    public static Axiom negativeObjectPropertyAssertion(Resource theSubject, IRI thePredicate, Value theObject)
    Deprecated.
    Create a new NegativeObjectPropertyAssertion
    Parameters:
      `theSubject` - the subject of the assertion
      `thePredicate` - the predicate of the assertion
      `theObject` - the object of the assertion
    Returns:
      the expression

  - ### negativeDataPropertyAssertion

    public static Axiom negativeDataPropertyAssertion(Resource theSubject, IRI thePredicate, Value theObject)
    Deprecated.
    Create a new NegativeDataPropertyAssertion
    Parameters:
      `theSubject` - the subject of the assertion
      `thePredicate` - the predicate of the assertion
      `theObject` - the object of the assertion
    Returns:
      the expression

  - ### dataProperty

    public static Axiom.PropertyExpression dataProperty(IRI theURI)
    Deprecated.
    Create a DataProperty(theURI) expression
    Parameters:
      `theURI` - the the resource
    Returns:
      the expression

  - ### objectProperty

    public static Axiom.PropertyExpression objectProperty(IRI theURI)
    Deprecated.
    Create a ObjectProperty(theURI) expression
    Parameters:
      `theURI` - the the resource
    Returns:
      the expression

  - ### declareClass

    public static Axiom declareClass(IRI theURI)
    Deprecated.
    Create a Declaration(OWLClass(theURI)) expression
    Parameters:
      `theURI` - the the resource
    Returns:
      the expression

  - ### declareObjectProperty

    public static Axiom declareObjectProperty(IRI theURI)
    Deprecated.
    Create a Declaration(ObjectProperty(theURI)) expression
    Parameters:
      `theURI` - the the resource
    Returns:
      the expression

  - ### declareDataProperty

    public static Axiom declareDataProperty(IRI theURI)
    Deprecated.
    Create a Declaration(DataProperty(theURI)) expression
    Parameters:
      `theURI` - the the resource
    Returns:
      the expression

  - ### declareIndividual

    public static Axiom declareIndividual(Resource theResource)
    Deprecated.
    Create a Declaration(Individual(theResource)) expression
    Parameters:
      `theResource` - the the resource
    Returns:
      the expression

  - ### subPropertyOf

    public static Axiom subPropertyOf(Axioms.ExpressionList<Axiom.PropertyExpression> theList, Axiom.PropertyExpression theProperty)
    Deprecated.
    Create a new subPropertyOf expression for a property chain axiom.
    Parameters:
      `theList` - the property list
      `theProperty` - the property
    Returns:
      the expression

  - ### subPropertyOf

    public static Axiom subPropertyOf(IRI theSub, IRI theSuper)
    Deprecated.
    Create a new subPropertyOf expression
    Parameters:
      `theSub` - the sub property
      `theSuper` - the super property
    Returns:
      the expression

  - ### subPropertyOf

    public static Axiom subPropertyOf(Axiom.PropertyExpression theSub, Axiom.PropertyExpression theSuper)
    Deprecated.
    Create a new subClassOf expression
    Parameters:
      `theSub` - the sub property
      `theSuper` - the super property
    Returns:
      the expression

  - ### propertyList

    public static Axioms.ExpressionList<Axiom.PropertyExpression> propertyList(IRI... theProps)
    Deprecated.
    Create a new property list
    Parameters:
      `theProps` - the properties in the list
    Returns:
      the property list expression

  - ### propertyList

    public static Axioms.ExpressionList<Axiom.PropertyExpression> propertyList(Axiom.PropertyExpression... theExpr)
    Deprecated.
    Create a new property list
    Parameters:
      `theExpr` - the properties in the list
    Returns:
      the property list expression

  - ### subPropertyOf

    public static Axiom subPropertyOf(Axiom.PropertyExpression theSub, IRI theSuper)
    Deprecated.
    Create a new subPropertyOf expression
    Parameters:
      `theSub` - the sub property
      `theSuper` - the super property
    Returns:
      the expression

  - ### subPropertyOf

    public static Axiom subPropertyOf(IRI theSub, Axiom.PropertyExpression theSuper)
    Deprecated.
    Create a new subClassOf expression
    Parameters:
      `theSub` - the sub property
      `theSuper` - the super property
    Returns:
      the expression

  - ### inverseOf

    public static Axiom inverseOf(IRI theProperty, IRI theInverse)
    Deprecated.
    Create a new inverseOf expression
    Parameters:
      `theProperty` - the property
      `theInverse` - the inverse property
    Returns:
      the expression

  - ### inverseOf

    public static Axiom inverseOf(Axiom.PropertyExpression theProperty, Axiom.PropertyExpression theInverse)
    Deprecated.
    Create a new inverseOf expression
    Parameters:
      `theProperty` - the property
      `theInverse` - the inverse property
    Returns:
      the expression

  - ### inverseOf

    public static Axiom inverseOf(Axiom.PropertyExpression theProperty, IRI theInverse)
    Deprecated.
    Create a new inverseOf expression
    Parameters:
      `theProperty` - the property
      `theInverse` - the inverse property
    Returns:
      the expression

  - ### inverseOf

    public static Axiom inverseOf(IRI theProperty, Axiom.PropertyExpression theInverse)
    Deprecated.
    Create a new inverseOf expression
    Parameters:
      `theProperty` - the property
      `theInverse` - the inverse property
    Returns:
      the expression

  - ### restrict

    public static Axioms.RestrictedDatatype restrict(Axiom.NamedDatatype theDatatype, Axioms.FacetRestriction... theRestrictions)
    Deprecated.
    Create a new RestrictedDatatype
    Parameters:
      `theDatatype` - the datatype
      `theRestrictions` - the restrictions on the datatype
    Returns:
      the new RestrictedDatatype

  - ### oneOf

    public static Axiom.ClassExpression oneOf(Resource... ex)
    Deprecated.
    Create an enumerated class (owl:oneOf)
    Parameters:
      `ex` - the values in the enumeration
    Returns:
      the expression

  - ### oneOf

    public static Axiom.Datatype oneOf(Literal... ex)
    Deprecated.
    Create an enumerated datatype (owl:oneOf)
    Parameters:
      `ex` - the values in the enumeration
    Returns:
      the expression